{
  "private": true,
  "name": "vic.user.react",
  "scripts": {
    "boot": "npx run-script-os",
    "boot:nix": "rm -fr node_modules && rm -fr package-lock.json && npm i",
    "boot:windows": "npx rimraf node_modules package-lock.json & npm i",
    "lint:es": "eslint --ext .js src mock tests",
    "lint:ts": "tslint \"src/**/*.ts\" \"src/**/*.tsx\"",
    "dev": "umi dev",
    "test": "umi test",
    "dist": "umi build",
    "deploy": "node ./node_modules/sol.deployer/deploy.js",
    "allinone": "npm run dist && npm run deploy",
    "drive.pm2": "cross-env NODE_ENV=production pm2 start ./node_modules/sol.webserver/server.js --name vic.user.react"
  },
  "dependencies": {
    "@types/react-virtualized-auto-sizer": "^1.0.0",
    "@types/react-window": "^1.8.1",
    "antd": "^3.22.0",
    "axios": "^0.19.0",
    "bignumber.js": "^9.0.0",
    "dva": "^2.6.0-beta.12",
    "lodash": "^4.17.15",
    "md5": "^2.2.1",
    "qrcanvas-react": "^2.0.1",
    "react": "^16.9.0",
    "react-clipboard.js": "^2.0.13",
    "react-dom": "^16.9.0",
    "react-fitted-image": "^1.0.1",
    "react-use": "^11.0.0",
    "react-virtualized-auto-sizer": "^1.0.2",
    "react-window": "^1.8.5",
    "react-window-infinite-loader": "^1.0.3",
    "sol.deployer": "git+https://git.faronear.org/npm/sol.deployer",
    "umi-plugin": "^0.1.2"
  },
  "devDependencies": {
    "@types/jest": "^24.0.18",
    "@types/md5": "^2.1.33",
    "@types/react": "^16.9.2",
    "@types/react-dom": "^16.9.0",
    "@types/react-test-renderer": "^16.0.3",
    "babel-eslint": "^10.0.2",
    "bluebird": "^3.5.5",
    "chalk": "^2.4.2",
    "eslint": "^6.2.1",
    "eslint-config-umi": "^1.5.0",
    "eslint-plugin-flowtype": "^4.2.0",
    "eslint-plugin-import": "^2.14.0",
    "eslint-plugin-jsx-a11y": "^6.2.3",
    "eslint-plugin-react": "^7.11.1",
    "hexo-fs": "^2.0.0",
    "hexo-util": "^1.0.0",
    "husky": "^3.0.4",
    "lint-staged": "^9.2.3",
    "moment": "^2.24.0",
    "nodemon": "^2.0.2",
    "pm2": "^4.5.0",
    "react-test-renderer": "^16.7.0",
    "rimraf": "^3.0.2",
    "run-script-os": "^1.1.6",
    "sol.webserver": "git+https://git.faronear.org/npm/sol.webserver",
    "supervisor": "^0.12.0",
    "swig-templates": "^2.0.3",
    "tslint": "^5.19.0",
    "tslint-eslint-rules": "^5.4.0",
    "tslint-react": "^4.0.0",
    "umi": "^2.8.20",
    "umi-plugin-react": "^1.9.19",
    "umi-types": "^0.3.17"
  },
  "lint-staged": {
    "*.{ts,tsx}": [
      "git add"
    ]
  },
  "engines": {
    "node": ">=8.0.0"
  },
  "husky": {
    "hooks": {
      "pre-commit": "lint-staged"
    }
  }
}
